%global debug_package %{nil}

Name:           docker-compose
Version:        1.2.0
Release:        4%{?dist}
Summary:        Punctual, lightweight development environments using Docker

License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz

# Remove dependency version constraints not relevant in Fedora/EPEL
Patch0:         remove-requires-upper-bound.patch

# docker-compose is compatible with fig and is a simple rename.
# Currently it only prints deprecation warnings for changed functionality.
Provides:       fig = %{version}-%{release}
# Last fig EVR was 1.0.1-2
Obsoletes:      fig <= 1.0.1-3

BuildRequires:  python2-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-docker-py
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-setuptools
# Version required for Fedora <= 21 and EPEL <= 7 due to BZ#1197300
Requires:       python-docker-py >= 0.7.1-3
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       python-six
# BZ#1253922
Requires:       python-dockerpty >= 0.3.3
Requires:       PyYAML

BuildArch:      noarch

%description
Punctual, lightweight development environments using Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be reproduced
  anywhere.
- Define the services that make up your app so they can be run together in an
  isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your entire
  app.

%prep
%setup -q 

%patch0 -p1

# Upstream uses an underscore here
rm -r docker_compose.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGES.md CONTRIBUTING.md README.md SWARM.md
%license LICENSE
%{_bindir}/%{name}
# Upstream uses an underscore here
%{python2_sitelib}/docker_compose*
%{python2_sitelib}/compose*

%changelog
* Mon Oct 05 2015 Michael Hampton <error@ioerror.us> - 1.2.0-4
- Explicit Requires on python-dockerpty >= 0.3.3 fixes BZ#1253922

* Sat May 16 2015 Michael Hampton <error@ioerror.us> - 1.2.0-3
- Update Obsoletes EVR per packaging guidelines BZ#1213111

* Sun Apr 19 2015 Michael Hampton <error@ioerror.us> - 1.2.0-2
- Update location of LICENSE file

* Sat Apr 18 2015 Michael Hampton <error@ioerror.us> - 1.2.0-1
- Update to 1.2.0
- Added new doc SWARM.md
- Removed docker package requires as it is not required to build or run the
  package, only to run tests, which we can't do anyway
- Removed commented code relating to running tests, which we can't do anyway
- Made package noarch as docker-io is no longer required

* Mon Mar 23 2015 Michael Hampton <error@ioerror.us> - 1.1.0-1
- Update to 1.1.0 including upstream name change
- Requires python-dockerpty
- Requires python-docker-py >= 0.7.1-3 BZ#1197300

* Tue Mar 17 2015 Matej Stuchlik <mstuchli@redhat.com> - 1.0.1-2
- Completely remove version specs from setup.py

* Tue Mar 17 2015 Matej Stuchlik <mstuchli@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Wed Dec 03 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-5
- Remove upper bound from setup.py requires

* Wed Nov 12 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-4
- Add python-setuptools to requires

* Thu Oct 23 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-3
- Relax strict version requirements on websocket-client (#1155510)

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-2
- Update Requires

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-1
- Update to 1.0.0
- Droped the two patches

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.5.2-2
- Explicitly disable debuginfo subpackage (#1154780)
- Add python-docker-py to Requires (#1154874)

* Thu Oct 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.5.2-1
- Initial spec based on rhbz#1129889
